SynthDef(\arcoOld, {
	arg out = [0], freq1 = 440, freq2 = 500, amp1 = 0.5, amp2 = 0.1, genamp = 0.8,  attack = 0.03, sustain = 8, release = 0.075, color1=0.8, color2=0.8;
	
	var range, env, signal;
	
	env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);

[	1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3,
	0.3, 0.25, 0.2, 0.18]//0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
									
.do{|harmonic, i|
	signal = signal.add(
	BPF.ar(WhiteNoise.ar(Line.kr(amp1, amp2, sustain)*7), XLine.kr(freq1*(i+1), freq2*(i+1), sustain), 0.003,
	(600+(freq1*i)/600).reciprocal*Line.kr(color1**(i+0), color2**(i+0), sustain)
	*harmonic)
	)};
	signal = Mix.new(signal);
/*	
	signal = BrownNoise.ar(Line.kr(amp1, amp2, sustain) /3 /(range+0.01));
	signal = BPF.ar(signal, XLine.kr(freq1, freq2, sustain), Lag.kr(range, 0.3));
*/
//   signal = Mix.new([signal, LFPar.ar(XLine.kr(freq1, freq2, sustain), 0, 0.045)]);
   signal = Mix.new([signal, 
   		LFPar.ar(
   			XLine.kr(freq1, freq2, sustain), 
   			0, 
   			Line.kr(amp1, amp2, sustain)*(0.225*thresh(1-Line.kr(color1, color2, sustain), 0)))
   			]);
   // signal = Mix.new([signal, 0]); 

	signal = Pan2.ar(signal) *env;
	Out.ar(out, genamp * signal)
	}).send(s); 

SynthDef(\arco, {
	arg out = [0], freq1 = 440, freq2 = 440, amp1 = 0.3, amp2 = 0.3, genamp = 1,  attack = 0.03, sustain = 2, release = 0.075, color1=0.8, color2=0.8;
	
	var env, signal;
	var harmonic, freq, color, amp;
	color = Line.kr(color1, color2, sustain);
	freq = Line.kr(freq1, freq2, sustain);
	amp = Line.kr(amp1, amp2, sustain);

	harmonic = [1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3,
	0.3, 0.25, 0.2, 0.18];
	
	env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);
	
	signal = {|i| BPF.ar(WhiteNoise.ar(amp*7), freq*(i+1), 0.003,
	(600+(freq1*(i+0))/600).reciprocal*(color**(i))
	*harmonic[i])}.dup(15);

	signal = Mix.new(signal.add(LFPar.ar(Line.kr(freq1, freq2, 0), 0, amp*(0.225*thresh(1-Line.kr(color1, color2, 0), 0)))));

	// signal = Pan2.ar(signal) *env;
	// signal = Pan2.ar(signal) ;
	Out.ar(out, genamp*4*env * signal.dup(2))
	}).send(s);
	
/*	
Synth(\arco, [\amp1, 0.1, \amp2, 0.9])
*/