SynthDef(\arcoFlag, {
	arg out = [0], freq1 = 1, freq2 = 1, amp1 = 0.1, amp2 = 0.1, genamp = 1,  attack = 0.1, sustain = 2, release = 0.15, color1=1, color2=1, flag = 4, precision = 0.8;

	var range, env, signal;
	env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);
[	1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3
	// ]
	,0.3, 0.25, 0.2, 0.18, 0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
	]
.do{|harmonic, i|
	signal = signal.add(
	BPF.ar(WhiteNoise.ar(Line.kr(amp1, amp2, sustain)*7), XLine.kr(freq1*(i+1), freq2*(i+1), sustain), 0.003,
	XLine.kr(color1**i, color2**i, sustain)
	*harmonic*thresh(1-abs(i+1-flag*precision), 0))
	)};
	signal = Mix.new(signal)*6;
/*	
	signal = BrownNoise.ar(Line.kr(amp1, amp2, sustain) /3 /(range+0.01));
	signal = BPF.ar(signal, XLine.kr(freq1, freq2, sustain), Lag.kr(range, 0.3));
*/
	signal = Mix.new([signal, LFPar.ar(XLine.kr(freq1, freq2, sustain), 0, (1-precision)*0.015*amp1)]);
	signal = Pan2.ar(signal) *env;
	Out.ar(out, genamp * signal)
	}).load(s); 